DCMTK: DcmAttributeMatching::Range Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DcmAttributeMatching::Range Struct Reference

Helper class for parsing value range pairs, as in date/time ranges. More...

## Public Member Functions
| Range (const void *const data, const size_t size, const char separator='-')
| Separate the given value into two range components (if possible).
OFBool | isRange () const
| Return the information whether *this refers to an actual range of values or just a single value.
OFBool | hasOpenBeginning () const
| Return the information whether *this refers to an open range without a definite beginning.
OFBool | hasOpenEnd () const
| Return the information whether *this refers to an open range without a definite end.

## Public Attributes
const char * | first
| The first value in the range, i.e.
size_t | firstSize
| The size in bytes of the first value, will be zero if the argument is an open range with no definite beginning.
const char * | second
| The second value in the range, e.g.
size_t | secondSize
| The size in bytes of the second value, will be zero if the argument is an open range with no definite end.

## Detailed Description

Helper class for parsing value range pairs, as in date/time ranges.

## Constructor & Destructor Documentation

## ◆ Range()

DcmAttributeMatching::Range::Range | ( | const void *const | data,
|  | const size_t | size,
|  | const char | separator = '-' )

Separate the given value into two range components (if possible).

Parameters

  data | any data that might be a range of values.
  size | the size in bytes of the value(s) passed as data.
  separator | optional argument for using another separator than the default one (dash character '-').

## Member Function Documentation

## ◆ hasOpenBeginning()

OFBool DcmAttributeMatching::Range::hasOpenBeginning | ( |  | ) | const

Return the information whether *this refers to an open range without a definite beginning.

Returns
  OFTrue if the given argument is an open range without a definite beginning OFFalse otherwise.

## ◆ hasOpenEnd()

OFBool DcmAttributeMatching::Range::hasOpenEnd | ( |  | ) | const

Return the information whether *this refers to an open range without a definite end.

Returns
  OFTrue if the given argument is an open range without a definite end OFFalse otherwise.

## ◆ isRange()

OFBool DcmAttributeMatching::Range::isRange | ( |  | ) | const

Return the information whether *this refers to an actual range of values or just a single value.

Returns
  OFTrue if the given argument is a range of values (i.e. contains the given/default range separator character), OFFalse otherwise.

## Member Data Documentation

## ◆ first

const char* DcmAttributeMatching::Range::first

The first value in the range, i.e.

the beginning of the range.

Note
  this will contain the whole value if the argument is not a range of values, use isRange() to retrieve that information.

## ◆ second

const char* DcmAttributeMatching::Range::second

The second value in the range, e.g.

the end of the range.

Note
  this will also contain the whole value if the argument is not a range of values, use isRange() to retrieve that information.

The documentation for this struct was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcmatch.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2